#pragma once

#include "CoreMinimal.h"
#include "Mutator.h"
#include "Templates/SubclassOf.h"
#include "AddCheatComponent.generated.h"

class UActorComponent;

UCLASS(Blueprintable, EditInlineNew)
class MUTATORS_API UAddCheatComponent : public UMutator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UActorComponent> _cheatComponent;

public:
	UAddCheatComponent();
};

FORCEINLINE uint32 GetTypeHash(const UAddCheatComponent) { return 0; }
